Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 588426 - python package removes wsgiref egg-info
python package removes wsgiref egg-info
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 13:35 EDT by Toshio Ernie Kuratomi
Modified: 2010-05-04 15:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 15:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2010-05-03 13:35:05 EDT
Description of problem:

We're removing *.egg-info files from the python stdlib when we build the python package (line 558 of the F12 spec file).  This seems like a holdover from when we thought that egg-info was just an alternate packaging format to rpm and held no runtime value.  If that's the case we should remove the line and install the egg-info files.

Note that ATM the only egg-info file affected by this is the wsgiref egg-info.
Comment 1 Dave Malcolm 2010-05-04 15:49:00 EDT
Fixed in python-2.6.5-8.fc14 and in python26-2.6.5-4.el5

Already fixed in python3

Note You need to log in before you can comment on or make changes to this bug.